用户名:
   密  码:
             
 用户注册!    忘记密码?
 
 当前位置:首页 - 其他内容 - 弹簧知识
 
Auto2004绘制真正的弹簧
 
更新时间:2011.03.14 浏览次数:
 
谁说Autocad 2004不能绘制真正的弹簧?!!
我现在就告诉大家一个用Autocad 2004绘制真正的弹簧的方法,首先你要会一点点lisp语言的基础,把下面这段程序放入autocad2004的安装的目录下面的support目录里面的acad2004doc.lsp文件里面,以后你在cad里面的command:输入:spring ,就可以绘制弹簧了!

;;;-----------弹簧的程序----------
(defun c:spring(/)
  (setq p1(getpoint "请指定螺旋线基点:"))
  (setq r(getreal "请输入弹簧平均半径:"))
  (setq d0(getreal "请输入弹簧丝直径:"))
  (setq disp(getreal "请输入弹簧节距:"))
  (setq n0(getint "请输入弹簧工作圈数:"))
  (setq n(getint "请输入每圈细化段数(16/20/24/28/32/36/40/48/52/56/60/100):"))
  (setq n1(* 1.25 n))                   ;支撑圈细化段数
  (setq n1(fix n1))
  (setq n2(* n0 n))                     ;工作圈细化段数
  (setq delta(/ (* 2.0 pi) n))          ;单位转角
  (setq j(/ disp n))                    ;工作圈轴向位移量
  (setq j0(/ d0 n))                     ;支撑圈轴向位移量
  (setq bb(caddr p1))
  (setq ang 0)
  (setq jj 0)
  (command "ucs" "o" p1)
  (setq pt1(list r 0 0))
  (command "3dpoly" pt1)
  (repeat n1                            ;绘制下支撑圈
    (setq jj(+ jj 1))
    (setq ang(+ delta ang))
    (setq pt(list (* r (cos ang)) (* r (sin ang)) (* j0 jj)))
    (command pt)
  )
  (setq p2(list 0 0 (* j0 jj)))
  (setq g1(* j0 jj))                    ;下支撑圈高度
  (setq jj 0)
  (repeat n2                            ;绘制工作圈
    (setq jj(+ jj 1))
    (setq ang(+ delta ang))
    (setq pt(list (* r (cos ang)) (* r (sin ang)) (+ g1 (* j jj))))
    (command pt)
  )
  (setq p3(list 0 0 (* j jj)))
  (setq g2(* j jj))                     ;工作圈高度
  (setq jj 0)
  (repeat n1                            ;绘制上支撑圈
    (setq jj(+ jj 1))
    (setq ang(+ delta ang))
    (setq pt(list (* r (cos ang)) (* r (sin ang)) (+ g1 g2 (* j0 jj))))
    (command pt)
  )
  (setq g3(* j0 jj))                    ;上支撑圈高度
  (command "")
  (setq e1(entlast))
  (command "ucs" "x" "")                ;拉伸弹簧
  (command "circle" pt1 (/ d0 2))
  (setq e2(entlast))
  (command "extrude" e2 "" "p" e1)
  (setq e3(entlast))
  (setq pt2(list r (/ d0 4) 0))         ;磨平
  (setq py(+ g1 g2 g3 (- 0 (/ d0 4))))
  (setq pt3(list (- 0 r) py 0))
  (command "slice" e3 "" "zx" pt2 pt3)
  (command "slice" e3 "" "zx" pt3 pt2)
  (command "ucs" "w")
  
)
;;;---------end----------弹簧程序结束!


 
首页 |  公司简介 |  产品概述 |  新闻中心 |  产品展示 |  下载中心 |  求职招聘 |  帐户中心 |  购 物 车 |  服务信息 |  留 言 簿 |  联系我们 |  English | 

地址:厦门市湖里区火炬园高科技创新城6楼 电话:0592-5289710 传真:0592-5513310 E-mail:ybin1207@163.com  闽ICP备10022802号